### A free/open-source library for quantitative finance

Classes
ql/experimental/credit/randomdefaultmodel.hpp File Reference

Random default-time scenarios for a pool of credit names. More...

`#include <ql/math/randomnumbers/rngtraits.hpp>`
`#include <ql/experimental/credit/pool.hpp>`
`#include <ql/experimental/credit/onefactorcopula.hpp>`
`#include <ql/experimental/credit/defaultprobabilitykey.hpp>`
Include dependency graph for randomdefaultmodel.hpp:

## Classes

class | RandomDefaultModel
| Base class for random default models. More...
class | GaussianRandomDefaultModel

## Detailed Description

Random default-time scenarios for a pool of credit names.